<?php

namespace Elementon\FilamentTheme;

use Filament\Facades\Filament;
use Illuminate\Support\HtmlString;
use Illuminate\Support\ServiceProvider;

class ThemeServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Filament::registerTheme(
            mix('/css/filament.css', 'vendor/elementon/filament-theme')
        );

        Filament::pushMeta([
            new HtmlString('<link rel="stylesheet" href="'.mix('/css/tweaks.css', 'vendor/elementon/filament-theme').'">')
        ]);

        $this->publishes([
            __DIR__.'/../publishes' =>
                public_path('vendor/elementon/filament-theme'),
        ], 'elementon-filament-theme');
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }
}
