const colors = require("tailwindcss/colors");

module.exports = {
  content: ["./resources/**/*.blade.php", "./vendor/filament/**/*.blade.php"],
  darkMode: "class",
  theme: {
    extend: {
      colors: {
        primary: {
          100: "#EE4266",
          200: "#EE4266",
          300: "#EE4266",
          400: "#EE4266",
          500: "#EE4266",
          600: "#EE4266",
          700: "#EE4266",
          800: "#EE4266",
          900: "#EE4266",
        },
        gray: {
          100: "#ECF0F4", // Uses 200 by design
          200: "#ECF0F4",
          300: "#d8e0e8",
          400: "#9AA2C1",
          500: "#8088B3",
          600: "#656ea4",
          700: "#40476d",
          800: "#333957",
          900: "#2e324d",
        },
        success: colors.green,
        danger: colors.rose,
        warning: colors.orange,
      },
    },
  },
  plugins: [require("@tailwindcss/forms"), require("@tailwindcss/typography")],
};
